% Files
%   Newton.m        - Force of one Newton, in units of Newton.
%   Pascal.m        - Compute numerical value, in units of Pascal, of one Pascal.
%   atm.m           - Compute numerical value, in units of Pascal, of one atmosphere.
%   barsa.m         - Compute numerical value, in units of Pascal, of one bar.
%   centi.m         - One houndreth prefix.
%   convertFrom.m   - Convert physical quantity from given unit to equivalent SI.
%   convertTo.m     - Convert physical quantity from SI to equivalent given unit.
%   darcy.m         - Compute numerical value, in units of m^2, of the Darcy constant.
%   day.m           - Give numerical value, in units of seconds, of one day.
%   deci.m          - One tenth prefix.
%   dyne.m          - Compute numerical value, in units of Newton of one dyne.
%   ft.m            - Distance of one foot (in units of meters).
%   gallon.m        - Compute numerical value, in units of m^3, of one U.S. liquid gallon.
%   getUnitSystem.m - Define unit conversion factors for input data.
%   giga.m          - One billion (milliard) prefix.
%   gram.m          - Mass of one gram, in units of kilogram.
%   hour.m          - Time span of one hour (in units of seconds).
%   inch.m          - Distance of one inch (in units of meters).
%   kilo.m          - One thousand prefix.
%   kilogram.m      - Mass of one kilogram, in units of kilogram.
%   lbf.m           - Force excerted by a mass of one avoirdupois pound at Tellus equator.
%   mega.m          - One million prefix.
%   meter.m         - Distance of one meter (in units of meters).
%   micro.m         - One millionth prefix.
%   milli.m         - One thousandth prefix.
%   minute.m        - Time span of one minute (in units of seconds).
%   poise.m         - Compute numerical value, in units of Pa*s, of one poise (P).
%   pound.m         - Mass of one avoirdupois pound, in units of kilogram.
%   psia.m          - Compute numerical value, in units of Pascal, of one Psi.
%   second.m        - Time span of one second (in units of seconds).
%   stb.m           - Compute numerical value, in units of m^3, of one standard barrel.
%   year.m          - Give numerical value, in units of seconds, of one year.

%{
Copyright 2009-2014 SINTEF ICT, Applied Mathematics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}
